 About dbQwikSite

dbQwikSite allows you to create web pages using your database data as a source of information for the content of the web pages. dbQwikSite makes the task of producing pages containing database data simple. You can produce web pages with no knowledge of SQL or HTML.

dbQwikSite very simple to use. Read Quick Start to learn how you can produce web pages in as few a 4 clicks - yes we counted!

Hidden beneath the clear and intuitive interface, you will find a feature rich tool, with a wealth of functions and options. See Features to learn more about the full potential of this product.

dbQwikSite is produced by TheDevShop Ltd.


 Quick Start

Producing web pages with dbQwikSite is possible with as few a 4 clicks. To produce page from your database you must have a connection defined dbQwikSite automatically creates connections for you corresponding to your ODBC data sets on your computer. Assuming that you already have a database connection defined for your data here are your 4 clicks to produce a pages...

- 1 - Click New Project.

- 2 - Double click your desired database connection

- 3 - Double click the table that you want to use to create your pages

- 4 - Click the Preview and Save Tab to view your pages.

Your pages are made...


 Features

DbQwikEdit is a feature rich tool here is a list of features that dbQwikSite provides to help you produce professional looking data web pages.

Key Features:
  • Produces either static HTML pages or dynamic ASP pages.
  • Generate Search page.
  • Generated Add, Edit, Delete pages.
  • Visual Query Builder selects database data with absolutely no SQL knowledge required.
  • Split into any number of records per page.
  • Generates Index pages automatically.
  • Produces First-Prev-Next-Last or Prev-1-2-3-Next style navigators in your pages
  • Generate hyperlinks containing data from your database.
  • User definable HTML templates, allows you to create virtually any layout.
  • Uses virtually any database (ADO connection).
    ?
    Other Great Features:
  • Sort and filter data in visual query.
  • Join tables by dragging and dropping join columns.
  • SQL editor allows full control of SQL for SQL specialists.
  • Data preview allows you to verify data selection before producing pages.
  • Drag and drop data columns to order your web columns.
  • Can generate frames containing your index and data in separate frames.
  • Preview output in dbQwikSite or in your Browser.
  • User selectable fonts.
  • User selectable background images.
  • Control of HTML table cell padding, cell spacing and border width.
  • Customizable HTML page title
  • User defined HTML header and footers
  • Customizable data formatting. Eg. Dates, numerics, Currency
  • Generate hyperlinks with icons
  • Generate links to pictures containing data from your database.
  • Generate E-Mail links using database data.
  • Generate hyperlinks to scripts using data for link and parameters.
  • Use and create color scheme templates
  • Sample database included.
  • Sample projects included


 About TheDevShop

TheDevShop is a software development company producing custom software and programmer tools.
We are located at:
25-03 Times Square Bld
246 Sukhumvit Rd.
Bangkok
Thailand 10110

Phone: + 66 (0)2 653-3366
E-Mail : Sales@TheDevShop.com
E-Mail: Support@TheDevShop.com


 Connecting to Database

dbQwikSite needs to connect to a database to read the data and place it into your web pages. Connecting to a database is required when you start a new project available ADO connections are shown. To connect simply select the connection from your list by double clicking it.

If you do not see your database listed, you may need to define an ADO connection. This is done by using the ADO Connection Manager in the Tools menu.

An ADO connection is simply a name ( and some settings) that defined the location and type of database.


 Adding Tables to Query

A query is nothing more than a definition of which data in your database which you wish to select. Your database may consist of one or more tables containing different information.

Selecting the table(s) to include in your query can be done several ways.
  • The easiest is by double clicking the table from the list of tables.
  • Alternatively you can drag a table from the list and drop it into the work area on the right.
  • Clicking the Add Table button
    ?


 Selecting Fields

When you add a table to your query, all the fields (columns) are automatically selected. You can click the check boxes to customize your selection.

Tip: If you only need at few columns. Right click the table title and choose the "select no items" option from the popup menu. Then manually select the columns you want.


 Joining Tables

If your query includes more than 1 table, you need to tell dbQwikSite how the data in the two tables is linked. Including table in a single query that are not joined (linked), results in garbage results (not to mention long running times). You must join your tables to each other. This is done by joining one ore more fields (columns) between the tables. These column data values must correspond between the two tables.

To join two tables drag a field in the first table and drop it on the corresponding field in the second table.

For advanced join options, click the join link line to select it. it will highlight. Right click to access the popup menu and choose "Join Properties" in this Join Properties window you can control how the records that do not match are handled. Normally rows that do not join between the tables are omitted from the query. In some cases you may want all the rows from one of the table and the corresponding rows in the second table if they are present. Choose the appropriate join type from the dialog.


 Filtering Data

Quite often you do not want all records existing in the table in your results. You will want to filter your selection by some criteria. For example your customer list may contain customers from many countries. In your query you only want customers from the UK, you can filter your data to include just the orders you want.

To filter your selection, right click the field you wish to filter against. From the pop up menu select "Filter".

Use the dialog add button presented to define the filter criteria.

Following the above example, you would right click the "country" field, then select "=" and type "UK". This would filter the results to include only UK customers.


 Sorting Data

When you show your data, you will likely want to sort it. You can define sort orders by right clicking the field to sort and choose "sort ascending" or "sort descending" as you require.

If you specify more than 1 sort, then each additional sorts are performed within the prior sorts (preserving the higher level sorts).

If you need to change the sort priority right click any sort field and choose the Sort Order option from the pop up menu. In the dialog presented you can change the order of the sorts by dragging and dropping the sorts into the desired order.


 Eliminating Duplicate Records

Some queries will return duplicate rows depending on the fields selected. For example if you selected only "country" from your customer table, you may get many rows for each country because in the customer data there are indeed many rows containing the same country but for different customers.

To eliminate duplicate rows in your results right click the query work area and choose the "Distinct" menu option.

This will eliminate duplicate rows. In the above example. You should get a list of all the countries in which you have customers, each country listed only once.


 Ordering Columns

The order of your columns appear in your query result depend on the order in which you added the tables and the order of the columns in the database. Very often this is not the order of columns you want to display in your web pages.

To set the display order of columns, simply drag and drop the items in the data page in the site explorer into the desired order. This is the order that they will appear in your pages.


 Viewing Selected Data

To see the data you have selected in your query. Click the "View Data" tab from the Get Data page. Here you will see the data that has been selected to place in your web pages.


 Customizing SQL

dbQwikSite's Visual Query Builder will generate virtually any SQL query you will need. All the generated SQL is viewable in the SQL Editor. In the SQL editor you can customize your SQL as much as you like. Advanced SQL programmers can use the SQL editor to customize SQL or create SQL statements from scratch.

How to program SQL is a separate topic. You can find good SQL references on the internet.
Try A Gentle Introduction to SQL


 Previewing Web Pages

To preview your web pages, click the Preview & Save tab


 Previewing in Web Browser

dbQwikSite's preview of your pages will show what your pages will look like in the browser with a high degree of accuracy. However the width of the display is limited. You may wish to preview the pages using your browser to verify exactly what your visitors will see.

To preview in your browser...
1. Choose the Preview & Save Tab.

2. Click the Preview in Browser button. There are 2 options for previewing.

- New Window : Save as a new filename and Preview in the browser.
- Use Current Preview : Save as the old filename and Preview in the browser.


 Splitting Records into Pages

By default dbQwikSite will break your data into 20 records per page. If you want to change this change the records per page setting on the preview page.

If you do not want to split data across pages, then uncheck the split checkbox.


 Adding Index Frame

By default dbQwikSite will generate your index page into a frame.If you do not want frames check the "No frames" Menu item. If you want frames, but do not want to show frame borders check the "No Frame Border".


 Adding Page Navigators

dbQwikSite can add page navigators to each page. A navigator can be in presented in various styles such as "FIRST PREVIOUS NEXT LAST" or "PREV 1 2 3 4 5 6 NEXT". These allow the users of your pages to move through the data pages with ease.

You can add or change navigators at the top of the page or at the bottom or both. To add a navigator,

- Select the Preview & Save tab [image] and click on the Navigator button ( [image] ).

- Select the navigator style from either the Header and / or Footer format drop down lists.


 Choosing Record Layout

By default dbQwikSite creates a column oriented report style. You can generate various layouts of pages.

To change the page/record layout, there are 2 ways throughout the Preview & Save Tab

1) Right-Click on each page and select Page Layout on the pop-up menu.

2) Click on the Page Layout button ( [image] ) on the toolbar.

Then, Select the desired layout from the Select Layout window as below.

You can create your own custom layouts in your favorite HTML editor or download additional layouts from dbQwikSite download area.


 Selecting Color Schemes

When your produce your pages, you can choose from any standard or customized color scheme. The color scheme determine the colors of the background, rows and fonts.

To select a color scheme...
- 1 - Select the Preview & Save Tab

- 2 - Click on [image] to show Color Panel window as below.

- 3 - Select your desired color scheme from the drop down list of available schemes.


 Customizing Color Schemes

You can create your own customized color schemes for your web pages using the page layout tool.

- 1 - Select the Preview & Save Tab

- 2 - Move your mouse over the sample grid and click on the element that you wish to change colors. You can select the new color from the color picker presented after clicking your desired element.

Or, Change each element's color by pick up a color from color drop-down list combo-box as showed below.

Tip: If you move the mouse and pause over an element, help hints will be displayed to assist you.


 Saving Color Schemes

You can save your customizations of color schemes into a new scheme for future use with other projects.

When you have finished customizing your color scheme .
Save it by clicking the "Save Color Scheme as" button as [image] on the Color Panel.
You color scheme will then be added to the list of available color schemes and you can use it in any new projects.


 Adding Background Graphics

With dbQwikSite you can select a background graphic which will be used in your web pages. The graphic will be tiled (repeated) so that it fills the entire page.

To add a background image...
- Select the Preview & Save Tab

- Select the page that is being changed its page properties. Then, Right-click on that page and select Page Properties menu, or Click on the Page Properties button ( [image] ) to show the Page Setting window as below.

- Click the ellipse button [image] at the end of the input box for Background. Use the file open dialog to choose the file to use in the background of your web pages.

Tip: always try to use jpg, gif or png compressed file formats and limit the file size to optimize the speed that your pages will load into the visitors Browsers. Large image files make pages slow to view.


Formating Cells and Borders

 Formatting Cells and Borders

You can control how the data cells are formatted in order to customize your web pages. You can control border widths, cell spacing and cell padding.

To customize cell formatting by...

- Select Preview & Save tab.

- Click on the Table Option button ( [image] )

- Change the Table options by the controls on the Table Option panel.


 Adding Page Title

Every web page has a title which appears in the title bar caption of the web browser and indexed by many search engines.

To set a page title for your each page by...

- Select the Preview & Save Tab

- Select the page that is being changed its page properties. Then, Right-click on that page and select Page Properties menu, or Click on the Page Properties button ( [image] ) to show the Page Setting window as below.

- Type in the title of page in the Page Title input-box on Page Setting Window.


 Choosing Page Font

You can customize the font and font size for your web pages to your preferences.

To customize your web page font:

- Select the Preview & Save Tab

- Right-click on the page to change font and select Properties menu, or Click on the Page Properties button ( [image] ) to show the Page Setting window as below.

- Select your desired font and size from Font Name and Font Size.

Tip: Not every user has every font installed on their computer. Remember this when selecting your desired font. It may not appear the same for every visitor if it is an "odd" font. Their browser will substitute your selected font with one present on their PC. For this reason you may wish to limit your selection to popular fonts.


 Adding Custom Page Header

You can add virtually anything you like into your web pages at the top or the bottom. Adding HTML into the page header will display this at the top of all your pages.

To add custom HTML header by...

- Select the Preview & Save Tab

- Select the page that is being changed its page properties. Then, Right-click on that page and select Page Properties menu, or Click on the Page Properties button ( [image] ) to show the Page Setting window as below.

- type in the HTML you want to include into the HTML Header section.

Tip: You can use any popular HTML editor to create your header then copy it from that editor and paste it into the HTML header section.


 Adding Custom Page Footer

You can add virtually anything you like into your web pages at the top or the bottom. Adding HTML into the page footer will display this at the bottom of all your pages.

To add custom HTML Footer...

- Select the Preview & Save Tab

- Select the page that is being changed its page properties. Then, Right-click on that page and select Page Properties menu, or Click on the Page Properties button ( [image] ) to show the Page Setting window as below.

- type in the HTML you want to include into the HTML Footer section.

Tip: You can use any popular HTML editor to create your footer then copy it from that editor and paste it into the HTML footer section.


 Formatting Data in Page

How your data is displayed can radically effect the appearance and clarity of your web pages. You may want to format dates and numbers to help your visitors understand your data more easily.

To access the data formatting functions:
- Choose the Preview & Save tab

- Right Click on the item, in the section, that you wish to format, and select Properties in its popup menu.
Then the Format Data dialog is showed as below.

Here you can set many detail properties which depend on item's data type. After the format of data changed, every pages will display the formatted data as the same.


 Renaming Headings

By default the column heading for your page will be the database column names. Sometimes these are not exactly what you want to show your visitors. You can customize your column headers by...

- Choosing the Preview & Save Tab

- Then Right Click on the item in the page that you wish to format, and select Properties in its popup menu.
You will see the Column Properties window as below.

- Enter the new column name in the "Name" input box on the Common section.

Here you can set many detail properties and use advanced features of Hyperlink.
See detailed help on each function.


Replacing Field With Icons

 Replacing Fields with Icons

You can replace fields in your query with a single image that will replace the text value of the field in your pages. This feature is good for inserting such items as "Buy Now" or "Edit" buttons which use the same image but (usually) link to different URLs.

To replace your data with an icon:
1) Choosing the Preview & Save Tab.

2) Then Right Click on the item in the page that you wish to format, and select Properties in its popup menu. You will see the Column Properties window.

3) In the Common section, Select the column type to "Image" drop down lists.

4) Click on [image] after the Value input box. Then the Edit Value dialog will be showed.

5) Type the URL of the icon image you wish to display in the editor box as below. For example, you want to show "Buy Now" button, you should type like ./images/buynow.bmp . Then Click OK button.

Tip: You can control the image height an width if you like or uncheck the boxes to allow the image to size automatically.
If your image source URL is built from a data value you can insert the field into the URL by Double Click on the field you want or click that field and press [image] . That field will appear in the editor box.

When you preview the page, you will see Buy Now button on the page.


 Replacing Fields with Pictures

You can replace fields in your query with images associated to that field instead of the text value of the field. This powerful feature lets you use your database data to generate all or parts of URLS to images. This is very useful in creating web pages that show individual images for each record. For example, you can easily build a web catalog with images of your products, if you create a directory of images whose filename is the product ID. By including the product ID in your data you can build a link to each image using the database product ID as part of the picture URL.

To replace your data with a Picture:

1) Choosing the Preview & Save Tab.

2) Then Right Click on the item in the page that you wish to format, and select Properties in its popup menu. You will see the Column Properties window.

3) In the Common section, Select the column type to "Image" drop down lists.

4) Click on [image] after the Value input box. Then the Edit Value dialog will be showed.

5) In the Edit Value dialog, do these following steps:
- Type the fixed part of URL in the editor box (e.g.. /images/products/) .
- Insert the field data into the URL by double click on field names (eg. [ProductID]),
or
Click on the field name you want and then click Add Field button as [image] .
- Type the suffix followed that field name (eg. type the file type after the field name such as .jpg).
Example looks like this picture:-

6) Click OK when the setting finished.

You will see in the sample data that dbQwikSite will replace the field name with the actual value of that field in each record. (eg images/products/PID101.jpg and /images/products/PID102.jpg and so on.) When finished, the preview looks like the following:-

Tip: You can control the image height an width as you like or uncheck the boxes to allow the image to size automatically.


 Adding Dynamic Hyperlinks

You can add hyperlinks to any data field on your page whether it displays the text value or an image. The hyperlink can be either static or dynamic depending on how you build the link.

To add a dynamic Hyperlink to a data field:

1) Choosing the Preview & Save Tab.

2) Then Right Click on the item in the page that you wish to format, and select Properties in its popup menu. You will see the Column Properties window.

3) In the Hyperlink section, Select "Goto webpage" radio button and click on [image] .

4) Type the fixed part of URL in the editor (eg. ./education/ or ./product/)

5) Insert the field data into the URL by double-click on field names. (eg. [ClassName] or [ProductID]). Then those fields will insert on the editor. After that, Type in the file type after the field name (eg. .htm)

You will see in the sample data that dbQwikSite will replace the field name with the actual value of that field in each record in the hyperlink section.


 Adding Static Hyperlinks

You can add hyperlinks to any data field on your page whether it displays the text value or an image. The hyperlink can be either static or dynamic depending on how you build the link.

To add a static Hyperlink to a page item:

1) Choosing the Preview & Save Tab.

2) Then Right Click on the item in the page that you wish to format, and select Properties in its popup menu. You will see the Column Properties window.

3) In the Hyperlink section, Select "Goto web page" radio button and click on [image] .

4) Type the fixed part of URL including field names (eg. www.myFriendsSite.com/Index.htm) or the relative URL (eg. ./ContactUs.htm. For example:

You will see in the sample data that a an identical link as been added to each record in the hyperlink section.


 zzz_Replacing Fields with Text

There may be times that you do not want to actually display the database values, instead you want to use them as part of a dynamic link. You only want your visitor to see fixed text. Sometimes you see this in some sites that have a link called "details" or "buy".

To hide the field value and show a repeating text label:

1) Choosing the Preview & Save Tab.

2) Then Right Click on the item in the page that you wish to format, and select Properties in its popup menu. You will see the Column Properties window.

3)

- Choosing the Page Layout Tab
Double Click the column you wish to add the link
Choose the Cell value is built by Hide My Data Show radio button
Type the label you want to show in the input box
You will see in the sample data that your data will be replaced by the label you types in every row.


 Adding Text to Fields

Sometimes you may want to add text (or HTML tags) either before or after your data values. For example you may want to put a "$" in front of a price field.

To hide the field value and show a repeating text label:
1) Choosing the Preview & Save Tab.

2) Then Right Click on the item in the page that you wish to format, and select Properties in its popup menu. You will see the Column Properties window.

3) In the Common section, click on [image] after the Value input box. Then the Edit Value dialog is showed as below.

Type the label you want to show in the text box under the field list. Also you can include other fields you want to show.
You will see in the sample data that your data will be replaced by the label you types in every row. For example,


 Adding Links to Scripts

There are may payment gateways and dynamic sites that use CGI scripts to process forms, click through and other information. CGI scripts Typically have a fixed URL plus parameters such as a vendor ID or product ID. You can easily generate dynamic hyperlinks to CGI scripts using dbQwikSite.

To add a dynamic link to a CGI Script:

1) Choosing the Preview & Save Tab.

2) Then Right Click on the item in the page that you wish to format, and select Properties in its popup menu. You will see the Column Properties window.

3) In the Hyperlink section, Select "Run Script" radio button.

4) Type the fixed part of URL: input box (eg http://www.RealServices.com/chkcredit.php)

5) Add the parameters using the add button. You can add both static text and field values as you require.

dbQwikSite will format the final URL with the parameters for you when it generates the page. You can see a sample displayed at the bottom of the Column Properties dialog box.


 Adding Dynamic Email Links

Very often you would like to include e-mail links in your web pages so that your visitor can send e-mail to you or to certain recipients constructed from the data. For example you may want to construct a company directory with e-mail links for each employee.

To add a dynamic link to an E-Mail link:

1) Choosing the Preview & Save Tab.

2) Then Right Click on the item in the page that you wish to format, and select Properties in its popup menu. You will see the Column Properties window.

3) In the Hyperlink section, Select "An E-Mail Address" radio button.

4) Build the Email Address using fields and static text and inserting any data fields you need by selecting then from the pull down list. You will see the final mail link displayed in the sample below. dbQwikSite will format the entry properly as an e-mail link.


 Creating Layouts Styles

One powerful feature of dbQwikSite is that you can create template layouts in your favorite HTML editor.You can then use all the power and creativity of your HTML editor to create custom layouts that are then used by dbQwikSite to generate pages.

When you create a template, it should be the layout for a single record. You must define an "ini" file that describes the data items that will be included in your template in the following format:
[StyleDetails]
Description=DBQwikSite Catalog Style1 <<---name of the style

[Item1] <<--- a label for each item
ItemName=ProductImage <<--- the name of the item
ItemType=Image <<--- the items type, either Image or Text
DefaultValue=product.bmp <<--- a default value for the item, can be blank

[Item2] <<-- this is the next item , continue like this
ItemName=ProductName
ItemType=Text
DefaultValue=%ProductName%

You design your html and as you want it to appear in the final page. Then you insert placeholders to tell dbQwikSite where to insert the data into your template.

The placeholders are "special" HTML tags. The special tags are very simple and easy to remember.
there are 2 types to remember...
#ITEMNAME tag - for field Names
#ITEMVALUE - for field Values

The tag format is : <#TTTTTTTT999> where T is the tag and 999 is the item number from your data selection.
so... <#ITEMNAME1> will display the title (name) of the first item in the ini file in tags position in the template.
<#ITEMVALUE3> will display the value if the third item of the inifile the tags position in the template.

Here is a sample Template:
<TABLE border=0 cellPadding=2 cellSpacing=0 >
<TR>
<TD colSpan=3></TD></TR>
<TR>
<TD align=left vAlign=top>
<FONT face="Arial, Helvetica" size=-1><#ITEMVALUE1></FONT>
</TD>
<TD align=left colSpan=2 vAlign=top>
<FONT face="Arial, Helvetica" size=-1>
<B><#ITEMVALUE2></B>
<BR><#ITEMNAME3>: <B><#ITEMVALUE3></B>
<BR><#ITEMNAME4>: <B><#ITEMVALUE4></B>
<BR></FONT>
</TD>
</TR>
<TR>
<TD colspan="3" height="15"> </TD>
</TR>
<TR>
<TD>&nbsp; </TD>
<TD align=left vAlign=top><#ITEMVALUE5></TD>
<TD align=left vAlign=top>&nbsp;</TD>
</TR>
<TR>
<TD colSpan=3></TD>
</TR>
</TABLE><BR><BR>

Where to save your Template:
You should save your templates in the either the "catalogs" or "general" folders in the "LayoutStyles" folder of your dbQwikSite program folder.
Create a folder with the same name that you want your style to be listed as in the styles list.
Save your HTML template in that folder with as STYLE.QSS
Save any images that are part of your template in the same folder.


 Advanced Features

In addition to generating the Data Pages, dbQwikSite have advanced features to generate additional pages for manipulating data such as:-
- Search Pages
- Add Pages
- Edit Pages
- Delete Pages

These features allow you to create a web page for searching, adding a new record, editing a record, and deleting an existing record in the database. Each page includes the necessary form fields linked to the fields in the database. It is useful to make sure that the transaction is accessing the right record.


Adding Add New Pages

 Adding an "Add" Page

dbQwikSite can generate an "Add" page to insert records into your database via the web.

Add pages can only be generated for single table queries.

To add the Add New page, at the left side of Preview & Save tab, Click on the checkbox in front of Add Pages to enable generating an add page. Then a preview of the Add Pages is showed on the right side.

When you preview the Data Page, there is a link for adding a new record in the navigator.


 Adding Search Pages

dbQwikSite can generate the search page depending on the SQL statement. It is an additional page showed on Preview & Save tab.

To add the search page, at the left side of Preview & Save tab, Click on the checkbox in front of Search Page to enable this feature. Then a preview of the Search Page is showed on the right side.

When you preview the Data Page, there is a link for searching in the navigator.


Adding Edit Pages

 Adding an "Edit" Page

dbQwikSite can generate an Edit Page depending on the SQL statement.

Add pages can only be generated for single table queries.

To add the Edit page, at the left side of Preview & Save tab, Click on the checkbox in front of Edit Page to enable generating an edit page. Then a preview of the Edit Pages is showed on the right side.


Adding Delete Pages

 Adding "Delete" Pages

dbQwikSite generate the Delete Page depending on the SQL statement.

Add pages can only be generated for single table queries.

To add the Delete Page, at the left side of Preview & Save tab, Click on the checkbox in front of Delete Pages to enable generating an delete page. Then a preview of the Delete Pages is showed on the right side.


 Format Form Fields

After you create additional pages, dbQwikSite generate form fields as text boxes. You can create or change form field types such as text fields, radio buttons, list/menus, texts, hidden fields, or "clickable" images (such as a Submit button).
To change the form field type, do these following steps:-
1) Choosing the Preview & Save Tab.
There are other pages except Data Page in the tree view. When you click on each page, its preview will show on the right side.
2) Right click on the field that you want to change form field type and select Properties in the pop-up menu.
3) In Input Object section, change Type to another type you want. Then define and set up the values in the Options section.
4) If Type is List/Menu or Radio Button, you must define choices and their values to store in the database as you do in any web editors. See an example on the picture below.
5) After finished, all changes will be updated.


 Saving Pages

Once you have produced your pages, you will want to save them to your hard disk so that you can publish them to your server.

You can save in two formats HTML or ASP. HTML will produce many static pages that can be uploaded to your server and used by any web server. ASP will produce a single Active Server Page that can access your database on your server to produce your pages dynamically. You can only use ASP if you web server supports ASP and you have a copy of your database on your server.

To save your pages, Click the Save Pages button as [image] on the main menu, or the Preview & Save tab.

Choose the location to save the page(s). Then choose the format for the save in.


 Saving Your Project

When you use dbQwikSite to produce web pages you create queries, settings and customizations. These can all be saved into a "Project" so that you can reproduce your pages at any time. This is very important for static HTML because you will need to regenerate your pages if the your database changes.

To save your project...
Click the Save button [image] on the main toolbar.
Select the folder to save the file.


 Opening a Existing Project

You may open an existing project in order to regenerate your web pages.

To open your project...
Click the Open button [image] on the main toolbar.
Select the folder where the project has been saved.
Choose the project to open.


 Publish on the web

When finished creating all pages, dbQwikSite have a feature to upload webpages onto the site or server. dbQwikSite Integrates FTP let you publish your sites right by this steps:

1) On the Main Menu, select File - > Publish Web...

2) On Publish Web dialog, there are 2 sections to set up about the site to be published.

The Webpages section, set the necessary properties below:-
- Page Name: the main webpage to be generated.
- Pages Type: select the file of type for pages.
- Publish Folder: define the local folder to be uploaded to the remote site.

If the site uses a database, set a path/folder to keep the database in Database Connection section.
- Database File: set the relative path/folder to keep the database file.

3) Click Save to save all pages on the local or relative path if not need to upload during that time.

- Or -

For uploading onto the site, Click Save & Upload. All pages will be generated and saved on the local machine. Then, FTP window appear with the connection setup to login that site. To configure FTP is followed to FTP setting .


 FTP Setup

When all pages is saved, you can upload them to the site directly by dbQwikSite's FTP. You need to set up the necessary information to connect into the site.

- Host : the server/site name or IP address of the machine connected.
- Port : the port number used for FTP.
- User ID : the username for logging into the site.
- Password : the password for authentication.
- Remote Path : the relative path or folder to upload all pages in.

After clicked Upload, it starts uploading all pages and shows the upload progress in the Status box. If you want to disconnect or cancel the uploading, Click Cancel button.


 Setting Web Server

Before saving web pages that you produced in HTML or ASP format, You should define the location of the web server to store all generated pages.

1) Select Tools -> Options... on the Main Menu.

2) On Web Server tab, there are 2 parameters be set in the Web Server Setting.

- Host name: the host/computer name to be the web server or running the web site.
- Root directory: the root folder/directory on the above web server for keeping all web pages.

3) On Project tab, Type the image folder name in the text box after Images Folder: ..Web pages\ . This folder will be created under the root directory when saving web pages.


 Keeping Images

dbQwikSite provides functions to keep all image paths related with the project. dbQwikSite will refer to this folder/directoryof images . When dbQwikSite generates the HTML pages or ASP pages, all images referred in the image list, will be copied to the folder/directory name according to the Web Server Directory and the Image Folder name in the menu Tool -> Option.

To store the folders/directories that keep images, do these following steps:-

1) On Preview & Save tab, Click on Images in the tree-view on the left side.

2) Right-click on Images to call the pop-up menu, and select Insert Items... .

3) When Load Images From dialog showed, Specify the folder/directory that holds images and select image files you want.

4) After click Open button, all selected images will be listed on the left site and show a preview of each image on the right.


 test123

Sometimes you may want to add text (or HTML tags) either before or after your data values. For example you may want to put a "$" in front of a price field.

To hide the field value and show a repeating text label:
1) Choosing the Preview & Save Tab.

2) Then Right Click on the item in the page that you wish to format, and select Properties in its popup menu. You will see the Column Properties window.

3) In the Common section, click on [image] after the Value input box. Then the Edit Value dialog is showed as below.

Type the label you want to show in the text box under the field list. Also you can include other fields you want to show.
You will see in the sample data that your data will be replaced by the label you types in every row. For example,